Bug 122223 - (TBf3ca2c97) system-config-network crashs if using a kernel with a bad version string
system-config-network crashs if using a kernel with a bad version string
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
: 123930 124047 125077 127985 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-02 05:51 EDT by Alexander Keusch
Modified: 2007-11-30 17:10 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-12 10:07:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dump-file of the crash (991 bytes, text/plain)
2004-05-02 05:53 EDT, Alexander Keusch
no flags Details
kernel version patch to /usr/share/system-config-network/netconfpkg/NC_functions.py (488 bytes, patch)
2004-05-09 21:30 EDT, Philippe Gauthier
no flags Details | Diff

  None (edit)
Description Alexander Keusch 2004-05-02 05:51:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-AT; rv:1.6) Gecko/20040422

Description of problem:
i'm using a custom kernel (vanilla form kernel.org), because i had
problems with acpi on my laptop.

first i named this kernel 2.6.5-my-1, after booting this kernel i was
not able to run system-config-network (see the dump file).
after renaming the kernel version to 2.6.5-my.1 it started again
without problems.

Version-Release number of selected component (if applicable):
system-config-network-1.3.16-1

How reproducible:
Always

Steps to Reproduce:
1. boot a kernel with a version string like 2.6.5-my-1
2. run system-config-network
    

Actual Results:  system-config-network crashed on starting

Expected Results:  it should start without a crash
Comment 1 Alexander Keusch 2004-05-02 05:53:14 EDT
Created attachment 99873 [details]
dump-file of the crash
Comment 2 Philippe Gauthier 2004-05-09 21:30:31 EDT
Created attachment 100114 [details]
kernel version patch to /usr/share/system-config-network/netconfpkg/NC_functions.py
Comment 3 Philippe Gauthier 2004-05-09 21:31:13 EDT
I guess it is quite benign to apply the following patch in order to
extract only the first part (by passing the 'maxsplit' parameter to
'split()') of the kernel version string such as :

"2.6.5"         => "2.6.5"
"2.6.0-test8"   => "2.6.0", "test8"
"2.6.6-rc1-mm1" => "2.6.6", "rc1-mm1"

and so on.
Comment 4 Harald Hoyer 2004-05-24 06:33:05 EDT
*** Bug 124047 has been marked as a duplicate of this bug. ***
Comment 5 Harald Hoyer 2004-05-24 06:33:59 EDT
*** Bug 123930 has been marked as a duplicate of this bug. ***
Comment 6 Harald Hoyer 2004-06-04 06:54:51 EDT
*** Bug 125077 has been marked as a duplicate of this bug. ***
Comment 7 Miloslav Trmac 2004-07-16 06:15:21 EDT
*** Bug 127985 has been marked as a duplicate of this bug. ***
Comment 8 John Thacker 2006-10-30 09:48:37 EST
[This is a mass update sent to many bugs that missed earlier such messages due
to having their version set to a test version.]

This bug was originally filed against a version of Fedora Core which is no
longer supported, even for security updates.  Many changes have occured since
then.  Please retest this bug against a still supported version.  Note that FC3
and FC4 are supported by Fedora Legacy for security fixes only.  If
it still occurs on FC5 or FC6, please assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

This bug will be closed after a few weeks if no information is given indicating
that the bug is still present in a supported release.
Comment 9 John Thacker 2007-01-12 10:07:33 EST
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.